> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/api/api-endpoints/maintenance/api-maintenance-table-clean-count.md).

# /api/maintenance/table‑clean‑count

## GET /api/maintenance/table-clean-count

> Get estimated rows for table cleanup

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/maintenance/table-clean-count"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"get_maintenance_table-clean-count":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["table","before"]}}},"paths":{"/api/maintenance/table-clean-count":{"get":{"description":"Get estimated rows for table cleanup","tags":["/api/maintenance/table-clean-count"],"parameters":[{"name":"table","in":"query","schema":{"type":"string"},"required":true},{"name":"before","in":"query","schema":{"type":"string"},"required":true},{"name":"max_rows","in":"query","schema":{"default":0,"type":"integer"},"required":false}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/get_maintenance_table-clean-count"}},"application/json":{"schema":{"$ref":"#/components/schemas/get_maintenance_table-clean-count"}},"application/xml":{"schema":{"$ref":"#/components/schemas/get_maintenance_table-clean-count"}}}}}}}}}
```
